CREATE TABLE `SPORTS_NFL_STANDINGS` (
  `season` YEAR NOT NULL,
  `week` TINYINT(3) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci NOT NULL,
  `wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `pts_for` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
  `pts_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 0,
  `home_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `home_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `home_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `visitor_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `visitor_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `visitor_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `conf_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `conf_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `conf_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `div_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `div_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `div_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `recent_wins` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `recent_loss` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `recent_ties` TINYINT(3) UNSIGNED NOT NULL DEFAULT 0,
  `pos_league` TINYINT(3) UNSIGNED DEFAULT 0,
  `pos_conf` TINYINT(3) UNSIGNED DEFAULT 0,
  `pos_div` TINYINT(3) UNSIGNED DEFAULT 0,
  `pos_draft` TINYINT(3) UNSIGNED DEFAULT 0,
  `pos_draft_ct` TINYINT(1) UNSIGNED DEFAULT 0,
  `streak_type` ENUM('w','l','t') COLLATE latin1_general_ci DEFAULT NULL,
  `streak_num` TINYINT(3) UNSIGNED DEFAULT NULL,
  `status_code` ENUM('e','x','y','z','*') COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`season`,`week`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYOFF_SEEDS` (
  `season` YEAR NOT NULL,
  `conf_id` TINYINT(1) UNSIGNED NOT NULL,
  `seed` TINYINT(1) UNSIGNED NOT NULL,
  `team_id` ENUM('ARI','ATL','BAL','BUF','CAR','CHI','CIN','CLE','DAL','DEN','DET','GB','HOU','IND','JAX','KC','LA','LAC','LV','MIA','MIN','NE','NO','NYG','NYJ','OAK','PHI','PIT','SD','SEA','SF','STL','TB','TEN','WSH') COLLATE latin1_general_ci DEFAULT NULL,
  `pos_div` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pos_conf` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pos_league` TINYINT(3) UNSIGNED DEFAULT NULL,
  `has_bye` TINYINT(1) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`conf_id`,`seed`),
  KEY `by_team` (`season`,`conf_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NFL_PLAYOFF_MATCHUPS` (
  `season` YEAR NOT NULL,
  `week` TINYINT(1) UNSIGNED NOT NULL,
  `round_code` ENUM('11','12','13','14','15','16','21','22','23','24','31','32','41') COLLATE latin1_general_ci NOT NULL,
  `higher_conf_id` TINYINT(3) UNSIGNED NOT NULL,
  `higher_seed` TINYINT(3) UNSIGNED NOT NULL,
  `lower_conf_id` TINYINT(3) UNSIGNED NOT NULL,
  `lower_seed` TINYINT(3) UNSIGNED NOT NULL,
  `game_id` SMALLINT(5) UNSIGNED NULL,
  `higher_score` TINYINT(2) UNSIGNED DEFAULT NULL,
  `lower_score` TINYINT(2) UNSIGNED DEFAULT NULL,
  `complete` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`season`,`week`,`round_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
